clan::PixelBufferSet Class Reference - ClanLib SDK
Description: clan::PixelBufferSet Class Reference

Public Member Functions | List of all members
clan::PixelBufferSet Class Reference
clanDisplay Display

Set of images that combined form a complete texture. More...

`#include <pixel_buffer_set.h>`

## Public Member Functions
| PixelBufferSet ()
| Constructs a null instance.
| PixelBufferSet (const PixelBuffer &image)
| Constructs an image set with a single image using the dimensions and internal format of the pixel buffer.
| PixelBufferSet (TextureDimensions dimensions, TextureFormat format, int width, int height=1, int slices=1)
| Constructs an image set of the specified dimensions type and internal format.
int | get_base_level () const
| Returns the lowest mip level specified in the set.
TextureDimensions | get_dimensions () const
| Returns the texture dimensions used by the image set.
TextureFormat | get_format () const
| Returns the internal texture format used by the image.
int | get_height () const
| Returns the height of the image.
PixelBuffer | get_image (int slice, int level)
| Returns the pixel buffer for a specific slice and level.
int | get_max_level () const
| Returns the highest mip level specified in the set.
int | get_slice_count () const
| Returns the number of depth/array/cube slices in the set.
int | get_width () const
| Returns the width of the image.
bool | is_null () const
| Returns true if this object is invalid.
| operator bool () const
void | set_image (int slice, int level, const PixelBuffer &image)
| Set the pixel buffer to be used for the specified slice and level.
void | throw_if_null () const
| Throw an exception if this object is invalid.

## Detailed Description

Set of images that combined form a complete texture.

## Constructor & Destructor Documentation

## ◆ PixelBufferSet() [1/3]

clan::PixelBufferSet::PixelBufferSet | ( |  | ) |

Constructs a null instance.

## ◆ PixelBufferSet() [2/3]

clan::PixelBufferSet::PixelBufferSet | ( | TextureDimensions | dimensions,
|  | TextureFormat | format,
|  | int | width,
|  | int | height = 1,
|  | int | slices = 1 )

Constructs an image set of the specified dimensions type and internal format.

## ◆ PixelBufferSet() [3/3]

clan::PixelBufferSet::PixelBufferSet | ( | const PixelBuffer & | image | ) |

Constructs an image set with a single image using the dimensions and internal format of the pixel buffer.

## Member Function Documentation

## ◆ get_base_level()

int clan::PixelBufferSet::get_base_level | ( |  | ) | const

Returns the lowest mip level specified in the set.

## ◆ get_dimensions()

TextureDimensions clan::PixelBufferSet::get_dimensions | ( |  | ) | const

Returns the texture dimensions used by the image set.

## ◆ get_format()

TextureFormat clan::PixelBufferSet::get_format | ( |  | ) | const

Returns the internal texture format used by the image.

## ◆ get_height()

int clan::PixelBufferSet::get_height | ( |  | ) | const

Returns the height of the image.

## ◆ get_image()

PixelBuffer clan::PixelBufferSet::get_image | ( | int | slice,
|  | int | level )

Returns the pixel buffer for a specific slice and level.

## ◆ get_max_level()

int clan::PixelBufferSet::get_max_level | ( |  | ) | const

Returns the highest mip level specified in the set.

## ◆ get_slice_count()

int clan::PixelBufferSet::get_slice_count | ( |  | ) | const

Returns the number of depth/array/cube slices in the set.

## ◆ get_width()

int clan::PixelBufferSet::get_width | ( |  | ) | const

Returns the width of the image.

## ◆ is_null()

bool clan::PixelBufferSet::is_null | ( |  | ) | const
| inline

Returns true if this object is invalid.

## ◆ operator bool()

clan::PixelBufferSet::operator bool | ( |  | ) | const
| inlineexplicit

## ◆ set_image()

void clan::PixelBufferSet::set_image | ( | int | slice,
|  | int | level,
|  | const PixelBuffer & | image )

Set the pixel buffer to be used for the specified slice and level.

## ◆ throw_if_null()

void clan::PixelBufferSet::throw_if_null | ( |  | ) | const

Throw an exception if this object is invalid.

The documentation for this class was generated from the following file:

- pixel_buffer_set.h